/*
 * mapfile.ilp32
 * Copyright (C) 2005 Robin KAY. All rights reserved.
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 */

#include <sys/isa_defs.h>

{
  global:
    _thr_create;
    thr_create;
    _pthread_create;
    pthread_create;
    _access;
    access;
    _acl;
    acl;
    _chdir;
    chdir;
    _fchdir;
    fchdir;
    _chown;
    chown;
    _lchown;
    lchown;
    _close;
    close;
    _dup;
    dup;
    _execve;
    execve;
    _fcntl;
    fcntl;
    _getcwd;
    getcwd;
    _getdents;
    getdents;
    _link;
    link;
    _mkdir;
    mkdir;
    _mknod;
    mknod;
    _open;
    open;
    _openat;
    openat;
    _creat;
    creat;
    _pathconf;
    pathconf;
    _readlink;
    readlink;
    _rename;
    rename;
    _renameat;
    renameat;
    _resolvepath;
    resolvepath;
    _rmdir;
    rmdir;
    _stat;
    stat;
    _lstat;
    lstat;
    _statvfs;
    statvfs;
    _symlink;
    symlink;
    _unlink;
    unlink;
    _unlinkat;
    unlinkat;
    _utimes;
    utimes;
    _futimesat;
    futimesat;
#ifdef __i386
    _xmknod;
    _xstat;
    _lxstat;
#endif /* __i386 */
#ifdef _ILP32
    _getdents64;
    getdents64;
    _open64;
    open64;
    _openat64;
    openat64;
    _creat64;
    creat64;
    _stat64;
    stat64;
    _lstat64;
    lstat64;
    _statvfs64;
    statvfs64;
#endif /* _ILP32 */
  
  local:
    *;
};
